[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force XFree86 SVN commit: rev 780 - people/branden/xlibs-and-xbase-clients-split/debian



Author: branden
Date: 2003-11-21 14:02:11 -0500 (Fri, 21 Nov 2003)
New Revision: 780

Modified:
   people/branden/xlibs-and-xbase-clients-split/debian/control
Log:
Enforce exact versioned dependencies of -dev library packages on their
shared counterparts, per Debian Policy section 8.5.

- debian/control


Modified: people/branden/xlibs-and-xbase-clients-split/debian/control
===================================================================
--- people/branden/xlibs-and-xbase-clients-split/debian/control	2003-11-21 18:36:52 UTC (rev 779)
+++ people/branden/xlibs-and-xbase-clients-split/debian/control	2003-11-21 19:02:11 UTC (rev 780)
@@ -53,7 +53,7 @@
 Package: libdps-dev
 Section: libdevel
 Architecture: any
-Depends: libdps1, libc6-dev | libc-dev
+Depends: libdps1 (= ${Source-Version}), libc6-dev | libc-dev
 Conflicts: dpsclient-dev
 Replaces: dpsclient-dev
 Description: Display PostScript (DPS) client library development files
@@ -214,7 +214,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: xlibs-dev, libxaw6, libc6-dev | libc-dev
+Depends: libxaw6 (= ${Source-Version}), xlibs-dev, libc6-dev | libc-dev
 Conflicts: xlib6g-dev (<< 4.0), libxaw7-dev
 Replaces: xlib6g-dev (<< 4.0), libxaw7-dev
 Description: X Athena widget set library development files (version 6)
@@ -265,7 +265,7 @@
 Package: libxaw7-dev
 Section: libdevel
 Architecture: any
-Depends: xlibs-dev, libxaw7, libc6-dev | libc-dev
+Depends: libxaw7 (= ${Source-Version}), xlibs-dev, libc6-dev | libc-dev
 Conflicts: xlib6g-dev (<< 4.0), libxaw6-dev
 Replaces: xlib6g-dev (<< 4.0), libxaw6-dev
 Description: X Athena widget set library development files
@@ -1083,7 +1083,7 @@
 Package: xlibmesa-gl-dev
 Section: libdevel
 Architecture: any
-Depends: xlibmesa-gl, xlibs-dev, libc6-dev | libc-dev
+Depends: xlibmesa-gl (= ${Source-Version}), xlibs-dev, libc6-dev | libc-dev
 Conflicts: libgl-dev, libutahglx-dev, xlibmesa-dev (<< 4.2.1-5)
 Provides: libgl-dev
 Replaces: libgl-dev, libutahglx-dev, xlibmesa-dev (<< 4.2.1-5)
@@ -1132,7 +1132,7 @@
 Package: xlibmesa-glu-dev
 Section: libdevel
 Architecture: any
-Depends: xlibmesa-glu, xlibmesa-gl-dev | libgl-dev, libstdc++5-dev | libstdc++-dev, libc6-dev | libc-dev
+Depends: xlibmesa-glu (= ${Source-Version}), xlibmesa-gl-dev | libgl-dev, libstdc++5-dev | libstdc++-dev, libc6-dev | libc-dev
 Conflicts: libglu-dev, libutahglx-dev, mesag-dev (<< 5.0.0-1), xlibmesa-dev (<< 4.2.1-5)
 Provides: libglu-dev
 Replaces: libglu-dev, libutahglx-dev, mesag-dev (<< 5.0.0-1), xlibmesa-dev (<< 4.2.1-5)
@@ -1177,7 +1177,7 @@
 Package: xlibosmesa-dev
 Section: libdevel
 Architecture: alpha i386 ia64 powerpc sparc
-Depends: xlibosmesa4, xlibs-dev, libc6-dev | libc-dev
+Depends: xlibosmesa4 (= ${Source-Version}), xlibs-dev, libc6-dev | libc-dev
 Description: Mesa off-screen rendering library development files [XFree86]
  xlibosmesa-dev provides static versions of the libraries provided in
  xlibosmesa4, as well as header files and manual pages.



Reply to: